/*
****************************************************************************
****************************************************************************
**                                                                        **
**                XXXX     X    X         X XXXXXX X                      **
**               X    X   X X   X    X    X X      X   X                  **
**               X       X   X  X   X X   X X      X  X                   **
**               X   XX XXXXXXX X  X   X  X XXXX   X X                    **
**               X    X X     X X X     X X X      XX                     **
**               X    X X     X XX       XX X      X                      **
**                XXXX  X     X X         X XXXXXX XXXXXX                 **
**                                                                        **
**                           BIAYSTOK 2018                               **
**                                                                        **
**                         Home Control System                            **
**                                                                        **
**                              HC_MCTRL1                                 **
**                      Wersja z dnia : 2018.09.01                        **
**                     Napisal : Andrzej Pawluczuk                        **
**                                                                        **
****************************************************************************
****************************************************************************
*/


#ifndef _MCTRL1EEPROM_
#define _MCTRL1EEPROM_

#include <inttypes.h>

#define StandardSygnature              0xA55A
#define EEBlockAddressOffset           4

#define DeviceIDSize                   8
typedef uint8_t DeviceIDType [ DeviceIDSize + 1 ] ;

#define PasswordSize                   6
typedef uint8_t PasswordType [ PasswordSize + 1 ] ;

#define ParamNameSize                  8
typedef uint8_t ParamNameType [ ParamNameSize + 1 ] ;

#define CommandBufferSize              16
typedef uint8_t CommandBufferType [ CommandBufferSize + 1 ] ;

#define ParamBufferSize                32
typedef uint8_t ParamBufferType [ ParamBufferSize + 1 ] ;

#define EventDestinDeviceArraySize     4

typedef struct {
                 uint16_t          EEBlockMetric ;
                 DeviceIDType      MyDeviceID ;
                 DeviceIDType      EventDestinDeviceID [ EventDestinDeviceArraySize ] ;
                 ParamNameType     TempParamName ;
                 uint16_t          TempThreshold ;
                 uint16_t          TempHysteresis ;
                 PasswordType      Password ;
                 uint16_t          CRCValue ;
               } EEPROMBlockDataRecT ;

extern EEPROMBlockDataRecT EEBlock ;

void SetDefaultEEBlock ( void ) ;

#endif
